small medium large xlarge

Generic-user-small
06 Sep 2017, 06:21
aaron wilder (2 posts)

I just finished chapter 7 and I had two questions about the console output I’m getting after I run ‘rake karma’. first, I’m not sure why I’m getting the message ‘ webpack: Compiled with warnings. ‘ and Second, It seems like things are running twice because I get duplicate output of: ~~~ webpack: wait until bundle finished: webpack: wait until bundle finished: ALERT: ‘There was an error!’ ALERT: ‘There was an error!’ ~~~

here is the entire output from running my tests and here is my git repo ‘Shine

wildpows-MBP:shine wildpow$ rake karma
$(yarn bin)/karma start spec/javascript/karma.conf.js --single-run --log-level=error --fail-on-empty-test-suite
webpack: wait until bundle finished:
webpack: wait until bundle finished:
ts-loader: Using typescript@2.5.2 and /Users/wildpow/Documents/shine/tsconfig.json
Hash: a546055f2ae14c02172d
Version: webpack 3.5.5
Time: 4812ms
                             Asset       Size  Chunks                    Chunk Names
                     hello_angular    2.23 MB       1  [emitted]  [big]  hello_angular
  glyphicons-halflings-regular.eot    20.1 kB          [emitted]
 glyphicons-halflings-regular.woff    23.4 kB          [emitted]
  glyphicons-halflings-regular.ttf    45.4 kB          [emitted]
  glyphicons-halflings-regular.svg     109 kB          [emitted]
                         customers    2.54 MB       0  [emitted]  [big]  customers
glyphicons-halflings-regular.woff2      18 kB          [emitted]
                       application    3.89 kB       2  [emitted]         application
   CustomerSearchComponent.spec.js    1.48 MB       3  [emitted]  [big]  CustomerSearchComponent.spec.js
                    canary.spec.js     349 kB       4  [emitted]  [big]  canary.spec.js
                   application.css     143 kB       2  [emitted]         application
                     manifest.json  798 bytes          [emitted]
  [28] ./node_modules/@angular/core/@angular/core.es5.js 490 kB {0} {1} {3} [built]
  [75] ./node_modules/@angular/platform-browser/@angular/platform-browser.es5.js 141 kB {0} {1} {3} [built]
 [125] ./app/javascript/polyfills/index.ts 50 bytes {0} {1} [built]
 [298] ./node_modules/@angular/http/@angular/http.es5.js 74.6 kB {0} {3} [built]
 [299] ./app/javascript/packs/application.js 585 bytes {2} [built]
 [300] ./app/javascript/packs/application.css 41 bytes {2} [built]
 [301] ./node_modules/bootstrap/dist/css/bootstrap.css 41 bytes {2} [built]
 [302] ./app/javascript/packs/customers.js 1.33 kB {0} [built]
 [309] ./app/javascript/CustomerSearchComponent/index.ts 1.86 kB {0} {3} [built]
 [310] ./app/javascript/packs/hello_angular.js 204 bytes {1} [built]
 [311] ./app/javascript/hello_angular/index.ts 195 bytes {1} [built]
 [324] ./node_modules/testdouble/dist/testdouble.js 345 kB {3} {4} [built]
 [325] ./spec/javascript/canary.spec.js 297 bytes {4} [built]
 [326] ./spec/javascript/CustomerSearchComponent.spec.js 4.01 kB {3} [built]
 [327] ./spec/javascript/SpecHelper.js 29 bytes {3} [built]
    + 313 hidden modules

WARNING in ./node_modules/@angular/core/@angular/core.es5.js
5651:15-36 Critical dependency: the request of a dependency is an expression

WARNING in ./node_modules/@angular/core/@angular/core.es5.js
5667:15-102 Critical dependency: the request of a dependency is an expression
Child extract-text-webpack-plugin node_modules/extract-text-webpack-plugin/dist node_modules/css-loader/index.js??ref--5-2!node_modules/postcss-loader/lib/index.js??ref--5-3!node_modules/resolve-url-loader/index.js!node_modules/sass-loader/lib/loader.js??ref--5-5!app/javascript/packs/application.css:
       [0] ./node_modules/css-loader?{"minimize":false}!./node_modules/postcss-loader/lib?{"sourceMap":true}!./node_modules/resolve-url-loader!./node_modules/sass-loader/lib/loader.js?{"sourceMap":true}!./app/javascript/packs/application.css 205 bytes {1} [built]
       [1] ./node_modules/css-loader/lib/css-base.js 2.26 kB {1} [built]
Child extract-text-webpack-plugin node_modules/extract-text-webpack-plugin/dist node_modules/css-loader/index.js??ref--5-2!node_modules/postcss-loader/lib/index.js??ref--5-3!node_modules/resolve-url-loader/index.js!node_modules/sass-loader/lib/loader.js??ref--5-5!node_modules/bootstrap/dist/css/bootstrap.css:
                                 Asset     Size  Chunks  Chunk Names
      glyphicons-halflings-regular.eot  20.1 kB
    glyphicons-halflings-regular.woff2    18 kB
     glyphicons-halflings-regular.woff  23.4 kB
      glyphicons-halflings-regular.ttf  45.4 kB
      glyphicons-halflings-regular.svg   109 kB
       [0] ./node_modules/bootstrap/dist/fonts/glyphicons-halflings-regular.eot 78 bytes {1} [built]
       [1] ./node_modules/css-loader?{"minimize":false}!./node_modules/postcss-loader/lib?{"sourceMap":true}!./node_modules/resolve-url-loader!./node_modules/sass-loader/lib/loader.js?{"sourceMap":true}!./node_modules/bootstrap/dist/css/bootstrap.css 152 kB {1} [built]
       [2] ./node_modules/css-loader/lib/css-base.js 2.26 kB {1} [built]
       [3] ./node_modules/bootstrap/dist/fonts/glyphicons-halflings-regular.woff2 80 bytes {1} [built]
       [4] ./node_modules/bootstrap/dist/fonts/glyphicons-halflings-regular.woff 79 bytes {1} [built]
       [5] ./node_modules/bootstrap/dist/fonts/glyphicons-halflings-regular.ttf 78 bytes {1} [built]
       [6] ./node_modules/bootstrap/dist/fonts/glyphicons-halflings-regular.svg 78 bytes {1} [built]
webpack: Compiled with warnings.
ALERT: 'There was an error!'
ALERT: 'There was an error!'
PhantomJS 2.1.1 (Mac OS X 0.0.0): Executed 10 of 10 SUCCESS (0.015 secs / 0.024 secs)
wildpows-MBP:shine wildpow$
Dmfcb_pragsmall
06 Sep 2017, 11:54
David Copeland (476 posts)

Are things not working otherwise?

I have noticed the output is just like what you have and am not sure why it appears to run twice. The warnings are not a problem (and I was unable to figure out what they were to eliminate them).

Generic-user-small
06 Sep 2017, 16:00
aaron wilder (2 posts)

Everything runs fine. When I run ‘foreman start’ the errors are a little different:


08:42:34 webpack.1 | WARNING in ./node_modules/@angular/core/@angular/core.es5.js
08:42:34 webpack.1 | 5659:15-36 Critical dependency: the request of a dependency is an expression
08:42:34 webpack.1 |
08:42:34 webpack.1 | WARNING in ./node_modules/@angular/core/@angular/core.es5.js
08:42:34 webpack.1 | 5675:15-102 Critical dependency: the request of a dependency is an expression

I tried using ‘yarn upgrade-interactive [–latest]’ to upgrade Angular to 4.4.0 per some Stackoverflow pages I came a crossed but the errors still persist.

Dmfcb_pragsmall
21 Sep 2017, 12:35
David Copeland (476 posts)

Those are warnings and from what I can tell, cannot be eliminated. It’s a problem with Angular that doesn’t prevent things from working, so not sure why the warnings even exist.

You must be logged in to comment